#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krecorder
Version: 24.02.2
Release:        %mkrel %{rel}
Summary:        Convergent KDE audio recording application
License:        GPLv3+
Group:          Graphical desktop/KDE
Url:            https://invent.kde.org/plasma-mobile/krecorder
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       gstreamer1.0-plugins-good

%description
Audio recorder for Plasma Mobile and other platforms.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058676
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045215
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037713
- New version 24.01.95

* Thu Jan 11 2024 daviddavid <daviddavid> 24.01.90-1.mga10
+ Revision: 2030165
- New version 24.01.90
- switch to Qt6/KF6
+ neoclust <neoclust>
- New version 24.01.85
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990002
- New version 23.08.1

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1961529
- fix gstreamer1.0 dependency

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961430
- initial package krecorder

